Notizie: è uscita la versione 68 di Thunderbird! Scopri tutte le novità!

Autore Topic: Conflitto mplayerplug-in flash  (Letto 1296 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline pacmo

  • Post: 427
Conflitto mplayerplug-in flash
« il: 21 Gennaio 2007 10:00:51 »
Apro un nuovo post perché credo che sia un problema differente da quello da me esposto in precedenza in "Non vedo tutti i tipi di video".
Prima di tutto con mplayerplug-in funzionante i video di flash 9 sono senza audio, il tutto funziona solo Flash 7 e con una configurazione diversa da quella indicata nei vari Readme ed istruzioni varie. La mia domanda è quella : come faccio a farli funzionare entrambi con Flash 9 ???

Poi ora vi spiego dopo innumerevoli tentativi, disinstallazioni, cancellazioni, reinstallazioni e riavvii di firefox come funziona il tutto.
1) Flash 7 : i file di flash xpt e so sono stati copiati in /home/utente/.mozilla/plugins ed in /usr/lib/mozilla-firefox/plugins
2) Tutti i file di mplayerplug-in di tipo sia xpt che so sono stati copiati in /usr/local/firefox/plugins senza dividere la copia degli xpt sotto components e so in plugins
3) /etc/mplayerplug-in ha la voce ao=oss altrimenti con arts i video di mplayer bloccavano l'audio di flash che funzionava solo la prima volta e poi si doveva riavviare il computer oppure stoppare e riavviare i vari server. In alternativa ao=esd i video mplayerplug-in funzionavano con l'audio solo dopo aver avviato manualmente con il comando esd altrimenti non si sentivano
Altra cosa, con le altre configurazioni il caricamento dei filmati sia flash che di altro tipo portava a strappi per problemi di bufferizzazione in questo modo invece carica tutto regolarmente.
Spero che qualcuno riesca a darmi la soluzione per far funzionare anche flash 9 altrimenti mi dovrò divertire a fare altri tentativi
ciao e grazie a chi mi aiuterà
pac

Offline Sheridan

  • Post: 180
Re: Conflitto mplayerplug-in flash
« Risposta #1 il: 21 Gennaio 2007 11:04:45 »
Puoi provare a compilarti i plugins (e' molto semplice) e installarli. C'e' una descrizione nelle FAQ che feci tempo fa.

Ciao

Offline pacmo

  • Post: 427
Re: Conflitto mplayerplug-in flash
« Risposta #2 il: 21 Gennaio 2007 11:17:08 »
mplayerplug-in l'ho installato compilandolo  :D
Non so come fare per flash 9

Offline klades

  • Moderatore
  • Post: 5783
    • http://www.nic-nac-project.org/~kaosmos
Re: Conflitto mplayerplug-in flash
« Risposta #3 il: 21 Gennaio 2007 14:49:07 »
Prima cosa, fai una prova mettendo ao=alsa su mplayerplug-in.
Poi fai queste prove:

- apri firefox  e vedi subito un filmato in flash, per controllare se c'è l'audio
- se non c'è, apri il terminale e digita fuser /dev/dsp, se ti restituisce un numero vuol dire che la scheda audio è occupata dal processo che ha quel pid (e puoi scoprire qual è con ps ax)

Usi kde? Se sì, dimmi anche qual è l'output di questo comando
ps ax | grep arts

Offline pacmo

  • Post: 427
Re: Conflitto mplayerplug-in flash
« Risposta #4 il: 21 Gennaio 2007 17:11:50 »
Prima cosa, fai una prova mettendo ao=alsa su mplayerplug-in.
Poi fai queste prove:

- apri firefox  e vedi subito un filmato in flash, per controllare se c'è l'audio
- se non c'è, apri il terminale e digita fuser /dev/dsp, se ti restituisce un numero vuol dire che la scheda audio è occupata dal processo che ha quel pid (e puoi scoprire qual è con ps ax)

Usi kde? Se sì, dimmi anche qual è l'output di questo comando
ps ax | grep arts
Allora l'audio non c'è
fuser /dev/dsp non mi dà nulla
ps ax|gep arts mi dà
4544 ?        S      0:04 /usr/bin/artsd -F 10 -S 4096 -s 60 -m artsmessage -c drkonqi -l 3 -f

Offline pacmo

  • Post: 427
Re: Conflitto mplayerplug-in flash
« Risposta #5 il: 22 Gennaio 2007 08:46:08 »
 :D Pare Funzionare !!!  :D
Allora in /etc/mplayerplug-in ao=oss
Poi .... l'installazione da ./flashplayer-installer derivante dal tar.gz di Adobe copia i file flasplayer.xpt e libflashplayer.xpt nella /home/utente/.mozilla/plugins ma non in /usr/lib/mozilla-firefox !!! in cui vanno copiati manualmente e in cui i filmati flash trovavano la versione 7 anzichè la 9 come nella home
Ciao e grazie sperando che continui a funzionare
pac

0 Utenti e 1 Visitatore stanno visualizzando questo topic.